Repocop reports by acl

  packager rpm id test Status message
bga alt-license-office-server-0.1-alt1.noarch rpm-filesystem-conflict-file-file warn Files /usr/share/alt-license/license.all.html /usr/share/alt-license/license.ru.html conflict with the package alt-license-junior-0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
Files /usr/share/alt-license/license.all.html /usr/share/alt-license/license.ru.html conflict with the package alt-license-junior-sj-0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
Files /usr/share/alt-license/license.all.html /usr/share/alt-license/license.ru.html conflict with the package alt-license-junior-sl-0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
Files /usr/share/alt-license/license.all.html /usr/share/alt-license/license.ru.html conflict with the package alt-license-junior-sm-0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
Files /usr/share/alt-license/license.all.html /usr/share/alt-license/license.ru.html conflict with the package alt-license-junior-st-0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
Files /usr/share/alt-license/license.all.html /usr/share/alt-license/license.ru.html conflict with the package alt-license-server-0.1-alt2.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
bga alt-license-office-server-0.1-alt1.noarch rpm-package-is-obsoleted warn The package is obsoleted by the package branding-altlinux-office-server-notes-5.9.9-alt1.noarch, but is still alive and in the repository. Consider removing the package, or, if you want the package to be alive, ask the maintainer of branding-altlinux-office-server-notes-5.9.9-alt1.noarch to remove Obsoletes: tag.
bga fonts-type1-cm-super-0.3.3-alt8.qa1.1.noarch missing-url info Missing Url: in a package.
bga fonts-type1-cm-super-0.3.3-alt8.qa1.1.src altlinux-policy-tex-rpm-build-texmf warn According to TeX policy (http://www.altlinux.org/TeXPolicy) packages that install files to /usr/share/texmf should BuildRequires(pre): rpm-build-texmf for the dependency magic to work.
bga fonts-type1-cm-super-afm-0.3.3-alt8.qa1.1.noarch missing-url info Missing Url: in a package.
bga fonts-type1-cm-super-pfb-0.3.3-alt8.qa1.1.noarch missing-url info Missing Url: in a package.
bga fonts-type1-cm-super-pfb-0.3.3-alt8.qa1.1.noarch symlink-extra-slash info /etc/X11/fontpath.d/type1-cm-super:pri=40:This symlink contains two successive slashes (//) or ends with a slash (/). symlinks should be as short as possible.
bga fonts-type1-cm-super-tex-0.3.3-alt8.qa1.1.noarch missing-url info Missing Url: in a package.
bga fonts-type1-cm-super-tex-afm-0.3.3-alt8.qa1.1.noarch missing-url info Missing Url: in a package.
bga fonts-type1-cm-super-tex-dvips-0.3.3-alt8.qa1.1.noarch missing-url info Missing Url: in a package.
bga fonts-type1-urw-tex-2.0-alt8.noarch invalid-url warn Package has invalid Url:. It looks like a protocol part (http:,ftp:,etc.) is missing.
bga fonts-type1-urw-tex-2.0-alt8.src beehive-log-unpackaged-files-found-x86_64 info warning: Installed (but unpackaged) file(s) found:
/usr/share/texmf/ChangeLog
/usr/share/texmf/LICENSE
/usr/share/texmf/README
/usr/share/texmf/build.sh
/usr/share/texmf/hehe.pl
/usr/share/texmf/license-motygin
/usr/share/texmf/make_links.sh
/usr/share/texmf/problem
/usr/share/texmf/readme-motygin
/usr/share/texmf/thescript.sh
bga fonts-type1-urw-tex-afm-2.0-alt8.noarch invalid-url warn Package has invalid Url:. It looks like a protocol part (http:,ftp:,etc.) is missing.
bga fonts-type1-urw-tex-doc-2.0-alt8.noarch invalid-url warn Package has invalid Url:. It looks like a protocol part (http:,ftp:,etc.) is missing.
bga gkrellm-alltraxclock2-0.2-alt1.src beehive-log-unpackaged-files-found-x86_64 info warning: Installed (but unpackaged) file(s) found:
/usr/share/locale/ru/LC_MESSAGES/gkrellm-alltraxclock.mo
bga ipw3945d-1.7.22-alt1.x86_64 init-but-no-native-systemd info The package have SysV init script(s) but no native systemd files.
bga ipw3945d-1.7.22-alt1.x86_64 init-lsb fail /etc/rc.d/init.d/ipw3945d: not systemd compatible: lsb init header missing and ipw3945d.service is not present. See http://www.altlinux.org/Services_Policy for details.
bga obconf-2.0.4-alt2.x86_64 iconsdir experimental Please, move pixmaps from /usr/share/pixmaps to %_liconsdir, %_niconsdir, %_miconsdir according to their size. See http://www.altlinux.org/IconPathsPolicy.
bga texlive-doc-2008.0-alt0.10.src altlinux-policy-tex-rpm-build-texmf warn According to TeX policy (http://www.altlinux.org/TeXPolicy) packages that install files to /usr/share/texmf should BuildRequires(pre): rpm-build-texmf for the dependency magic to work.
bga texlive-formats-extra-2008.0-alt0.16.noarch uncompressed-manpages info Package contains uncompressed manual pages.
bga texlive-latex-base-2008.0-alt0.15.noarch uncompressed-manpages info Package contains uncompressed manual pages.
bga texlive-latex-recommended-2008.0-alt0.15.noarch uncompressed-manpages info Package contains uncompressed manual pages.
bga texlive-math-extra-2008.0-alt0.16.noarch uncompressed-manpages info Package contains uncompressed manual pages.
bga trac-spawn-fcgi-0.2-alt1.qa1.x86_64 checkbashisms experimental checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/trac-spawn-fcgi
bga trac-spawn-fcgi-0.2-alt1.qa1.x86_64 init-but-no-native-systemd info The package have SysV init script(s) but no native systemd files.
bga trac-spawn-fcgi-0.2-alt1.qa1.x86_64 init-lsb fail /etc/rc.d/init.d/trac-spawn-fcgi: not systemd compatible: lsb init header missing and trac-spawn-fcgi.service is not present. See http://www.altlinux.org/Services_Policy for details.
bga trac-spawn-fcgi-0.2-alt1.qa1.x86_64 missing-url info Missing Url: in a package.
bga trac-spawn-fcgi-0.2-alt1.qa1.x86_64 subdir-in-var-run info Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
bga trac-spawn-fcgi-debuginfo-0.2-alt1.qa1.x86_64 missing-url info Missing Url: in a package.
bga ve-proxy-server-0.1-alt2.noarch missing-url info Missing Url: in a package.
bga xbill-2.1-alt5.x86_64 freedesktop-desktop warn desktop-file-validate utility exited abnormally with the following message(s): /usr/share/applications/xbill.desktop: warning: file contains lines that are not UTF-8 encoded. There is no guarantee the validator will correctly work.
[Invalid UTF-8] /usr/share/applications/xbill.desktop: error: value "\xf0\xcf\xcd\xc5\xdb\xc1\xca\xd4\xc5 \xe2\xc9\xcc\xcc\xd5 \xd0\xcf\xd3\xd4\xc1\xd7\xc9\xd4\xd8 \xd3\xd7\xcf\xc0 \xef\xf3 \xce\xc1 \xd7\xd3\xc5 \xcb\xcf\xcd\xd0\xd8\xc0\xd4\xc5\xd2\xd9" for locale string key "Comment" in group "Desktop Entry" contains invalid UTF-8 characters, locale string values should be encoded in UTF-8
boyarsh alterator-postfix-dovecot-0.8.7-alt1.noarch checkbashisms experimental checkbashisms utility found possible bashisms in: /usr/bin/alterator-postfix-dovecot-functions
ender subversion-javahl-1.9.2-alt3.2.1.x86_64 altlinux-policy-shared-lib-contains-devel-so info SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libsvnjavahl-1.so but just /usr/lib64/libsvnjavahl-1.so.0.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libsvnjavahl-1.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libsvnjavahl-1.so to \%files of subversion-javahl-1.9.2-alt3.2.1.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
ender subversion-server-dav-1.9.2-alt3.2.1.x86_64 altlinux-policy-obsolete-httpd2-reload info This package contains httpd2 restart/reload calls in its post/un scripts. But those calls are deprecated by httpd2.filetrigger that activates by files in /etc/httpd2/ or %_libdir/apache2/modules/. It should be safe to remove those calls and rely on the filetrigger instead.
ender subversion-server-standalone-1.9.2-alt3.2.1.noarch init-but-no-native-systemd info The package have SysV init script(s) but no native systemd files.
ender subversion-server-standalone-1.9.2-alt3.2.1.noarch init-lsb fail /etc/rc.d/init.d/svnserve: not systemd compatible: lsb init header missing and svnserve.service is not present. See http://www.altlinux.org/Services_Policy for details.
lakostis mailman-2.1.23-alt0.1.20160915.x86_64 arch-dep-package-has-big-usr-share info The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
lakostis mailman-2.1.23-alt0.1.20160915.x86_64 checkbashisms experimental checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/mailman
lakostis mailman-2.1.23-alt0.1.20160915.x86_64 init-but-no-native-systemd info The package have SysV init script(s) but no native systemd files.
lakostis mailman-2.1.23-alt0.1.20160915.x86_64 subdir-in-var-run info Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
lakostis mailman-apache2-2.1.23-alt0.1.20160915.noarch altlinux-policy-obsolete-httpd2-reload info This package contains httpd2 restart/reload calls in its post/un scripts. But those calls are deprecated by httpd2.filetrigger that activates by files in /etc/httpd2/ or %_libdir/apache2/modules/. It should be safe to remove those calls and rely on the filetrigger instead.
ldv openntpd-3.9p1-alt12.x86_64 init-lsb warn /etc/rc.d/init.d/ntpd: lsb init header missing. See http://www.altlinux.org/Services_Policy for details.
mike chestnut-dialer-0.3.3-alt8.2.noarch altlinux-find-lang-mo warn Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.

generated by repocop at Tue Feb 13 06:37:54 2018